#include<stdio.h>
#include<stdlib.h>
#include<string.h>
#include"part1.h"

void lireM(FILE *f, MaillonDept * m)//lire maillon
{
	fscanf(f, "%s %d", m->departement, &m->nbP);
	fgets(m->respAd, 31, f);
	m->respAd[strlen(m->respAd)-1]='\0';
}



int Exists(char *st1, char *st2)// servira à trouver si le nom de la ville existe déjà donc il suffira d'ajouter un maillon à la chaîne
{
	if (strcmp(st1,st2)==0)
	{
		return 1;//si le nom de la ville existe déjà 
	}
}


ListDept InsertT(ListDept list, MaillonDept * m)//Insert en tête de la liste
{
	MaillonDept *mins;
	mins = (MaillonDept*)malloc(sizeof(MaillonDept));
	if (mins == NULL){printf("pb malloc"); exit;}
	strcpy(mins->departement, m->departement);
	mins->nbP = m->nbP;
	strcpy(mins->respAd, m->respAd);
	mins->suiv = list;
	return mins;
	
}


ListDept Insert(ListDept list, MaillonDept *m)//insert globalement
{
	if (list == NULL){return InsertT(list, m);}
	if (strcmp(list->departement, m->departement)>0){return InsertT(list, m);}
	list->suiv = Insert(list->suiv, m);
	return list;
}


/*étapes pour le chargement:
1) pour chaque ville : malloc VilleIUT ->initialisation à NULL de la liste et fscanf la ville 
2) récup le nb pour faire une boucle
3) boucle dans laquelle on crée nb maillons en insertion du département dans la liste en triant
et on recommence tant que fichier non vide*/

int Chargement(VilleIUT **tV, int tmax, char *nameFile)
{
	FILE *f;
	int i = 0;
	f = fopen(nameFile, "r");
	if (f == NULL){printf("pb ouv file"); return -1;}
	
	while (!feof(f))
	{
		int cpt;
		VilleIUT *v;
		v = (VilleIUT *)malloc(sizeof(VilleIUT));
		if (v == NULL){printf("pb malloc");exit;}
		fscanf(f, "%s %d", v->ville, &cpt);
		printf("**%d**\n", cpt);
		for (cpt; cpt > 0; cpt--)
		{	
			printf("bleu\n");
			MaillonDept *m;
			m = (MaillonDept*)malloc(sizeof(MaillonDept));
			if (m == NULL){printf("pb malloc"); exit;}
			lireM(f, m);
			AfficheDpmt(m);
			v->ldept = Insert(v->ldept, m);			
		}
		tV[i] = v;
		i++;
	}
	return i;
	
	
}


void AfficheDpmt ( MaillonDept *dpt ){
	if ( dpt == NULL) return;
	printf("%s %d %s \n", dpt->departement, dpt->nbP, dpt->respAd);
	AfficheDpmt(dpt->suiv);}



void afficheIUT (VilleIUT *iut){
	printf ("%s \n", iut->ville);
	AfficheDpmt(iut->ldept);
}



void Affichetableau(VilleIUT ** TabIUT, int n ){
	int i;

	for ( i = 0 ; i < n ; i++ )
		afficheIUT(TabIUT[i]);
}


